Name: alsa2-tools
Version: 0.9.0rc7
Release: alt2
Summary: Advanced Linux Sound Architecture (ALSA) tools
Group: System/Kernel and hardware
License: GPL
Url: http://www.alsa-project.org/

Source: ftp://ftp.alsa-project.org/pub/utils/alsa-tools-%version.tar.bz2
Patch0: alsa-tools-0.9.0rc6-makefile.patch

Requires: alsa >= %version, libalsa2 >= %version

# Automatically added by buildreq on Mon Jan 20 2003
BuildRequires: XFree86-devel XFree86-libs alsa-driver-headers glib-devel gtk+-devel libalsa2-devel

BuildRequires: automake_1.4 autoconf_2.13
%description
Advanced Linux Sound Architecture (ALSA) tools. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

You may install this package if you really want use this low-level utils with
some audio cards.

%prep
%setup -q -n alsa-tools-%version
%patch0 -p1

%set_autoconf_version 2.13
%set_automake_version 1.4

%build
pushd ac3dec
    automake
    %configure
    %make_build
popd

pushd as10k1
    %configure
    %make_build
    make -C examples
popd

pushd envy24control
    automake --foreign
    %configure
    %make_build
popd

pushd sb16_csp
    automake
    %configure
    %make_build
popd

pushd seq/sbiload
    automake
    %configure
    %make_build
popd

pushd sscape_ctl
    automake
    %configure
    %make_build
popd

%install

pushd ac3dec
%makeinstall
popd

pushd as10k1
# makeinstall
mkdir -p $RPM_BUILD_ROOT/%_datadir/emu10k1
cp -f examples/*.emu10k1 $RPM_BUILD_ROOT/%_datadir/emu10k1
popd

pushd envy24control
%makeinstall
popd

pushd sb16_csp
%makeinstall
popd

pushd seq/sbiload
%makeinstall
popd

pushd sscape_ctl
%makeinstall
popd

# Prepare documentation
mv ac3dec/README ac3dec/README.ac3dec
mv ac3dec/Changelog ac3dec/Changelog.ac3dec
mv seq/sbiload/README seq/sbiload/README.sbiload

%files
%_bindir/*
%_mandir/man?/*
%_datadir/emu10k1/*.emu10k1
%doc ac3dec/README.ac3dec ac3dec/Changelog.ac3dec seq/sbiload/README.sbiload

%changelog
* Tue Feb 04 2003 Rider <rider@altlinux.ru> 0.9.0rc7-alt2
- 0.9.0rc7

* Mon Jan 20 2003 Rider <rider@altlinux.ru> 0.9.0rc6-alt2
- build requires fix (autoconf & automake)

* Tue Nov 26 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc6-alt1
- 0.9.0rc6
- Rebuilt in new environment

* Mon Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc1-alt1
- 0.9.0rc1

* Thu Feb 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta12-alt1
- 0.9.0beta12

* Wed Dec 26 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta10-alt1
- 0.9.0beta10
- Removed as10k1 to avoid conflicts with emu10k1-utils

* Wed Nov 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta9-alt1
- 0.9.0beta9

* Fri Oct 12 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta8-alt1
- 0.9.0beta8

* Fri Sep 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta7-alt1
- First build for Sisyphus
